#!/bin/bash
# ------------------------------------------
# Datei   :  bak_update.sh
# Autor   :  Ferdinand Gruber
# Datum   :  14.11.2019
# Zweck   :  Datensicherung update
# Kontext :  Datensicherung
#
# Eingabeparameter: Zielverzeichnis [optional]
# ------------------------------------------

# Dieses Skript am besten über einen cronjob aufrufen, um die Datensicherungssoftware auf dem neuesten Stand zu halten

if [ -z $1 ] ; then
    targetDir=$(dirname "$(readlink -f "$0")")
else
    targetDir=$1
fi

if [ -d $targetDir ] ; then
    cd $targetDir
fi

find . -name "excludes_localhost.txt" -exec mv {} "excludes.txt" \;
find . -name "includes_localhost.txt" -exec mv {} "includes.txt" \;

for file in bak.conf excludes.txt includes.txt ; do
    if [ -f $file ] ; then
        excludes+=" --exclude $file"
    fi
done

wget -qc --no-check-certificate grubit.at/download/bak.tar
tar $excludes -xf bak.tar
rm bak.tar

chown root.root * -R
